# Uses of Interface
org.eclipse.draw2d.ColorProvider

Packages that use ColorProvider
Package
Description
org.eclipse.draw2d
Primary package containing general interfaces and implementation classes.

## Uses of ColorProvider in org.eclipse.draw2d

Classes in org.eclipse.draw2d that implement ColorProvider
Modifier and Type
Class
Description
`class`
`BasicColorProvider`
Methods in org.eclipse.draw2d that return ColorProvider
Modifier and Type
Method
Description
`static ColorProvider`
ColorProvider.SystemColorFactory.`getColorProvider()`
Methods in org.eclipse.draw2d with parameters of type ColorProvider
Modifier and Type
Method
Description
`static void`
ColorProvider.SystemColorFactory.`setColorProvider(ColorProvider colorProvider)`